# Version SVN: $Id: defaults.yml 63 2013-06-19 09:04:08Z sven.poeche $
defaults:
  facebook_like:
    name:                             'Facebook Like'
    description:                      ''
    weight:                           -9298
    params:
      fbl_enabled:
        type:                         boolean
        value:                        true
        name:                         'Enable Facebook Like'
        description:                  'If set to true, the Facebook like button will be displayed.'
        editable:                     true
        system:                       false
        nullable:                     false
      fbl_secure_url:
        type:                         boolean
        value:                        false
        name:                         'Enable secure url meta tag'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      fbl_api_id:
        type:                         string
        value:                        ''
        name:                         'Facebook Application Id'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     true
      fbl_layout_style:
        type:                         set
        value:                        'standard'
        set:                          {standard: 'standard', button_count: 'button_count', box_count: 'box_count' }
        name:                         'Layout Style'
        description:                  'Determines the size and shape of the button.'
        editable:                     true
        system:                       false
        nullable:                     false
      fbl_show_faces:
        type:                         boolean
        value:                        false
        name:                         'Show Faces'
        description:                  'Show profile pictures below the button.'
        editable:                     true
        system:                       true
        nullable:                     false
      fbl_verb_to_display:
        type:                         set
        value:                        'like'
        set:                          {like: 'like', recommend: 'recommend' }
        name:                         'Verb to display'
        description:                  The verb to display in the button. Currently only \'like\' and \'recommend\' are supported.
        editable:                     true
        system:                       false
        nullable:                     false
      fbl_font:
        type:                         set
        value:                        ~
        set:                          {arial: 'Arial', 'lucida grande': 'Lucida Grande', 'segoe ui': 'Segoe UI', tahoma: 'Tahoma', 'trebuchet ms': 'Trebuchet MS', verdana: 'Verdana' }
        name:                         'Font'
        description:                  'The font of the plugin.'
        editable:                     true
        system:                       true
        nullable:                     true
      fbl_color_scheme:
        type:                         set
        value:                        'light'
        set:                          {light: 'light', dark: 'dark' }
        name:                         'Color Scheme'
        description:                  'The color scheme of the plugin.'
        editable:                     true
        system:                       false
        nullable:                     false
